import { createRouter, createWebHashHistory, RouteLocationNormalized, NavigationGuardNext } from 'vue-router';
import staticRoute from './modules/staticRoute';

const router = createRouter({
  history: createWebHashHistory(),
  routes: staticRoute
});

router.beforeEach(async (to: RouteLocationNormalized, from: RouteLocationNormalized, next: NavigationGuardNext) => {

  next();
});

export default router;
